## gogoc 1.2

=== Makefile ===
#
# Global gogoCLIENT Makefile.
#
all:
	cd gogoc-tsp && $(MAKE) all

install:
	cd gogoc-tsp && $(MAKE) install

clean:
	cd gogoc-tsp && $(MAKE) cleanall
