=== debian/changelog ===
gogoc (1:1.2-5) unstable; urgency=low

  * Removed set e from ifup script Closes: #641372
  * Update to standards 3.9.2
  * Change dependency iproute to iproute2
  * Small instruction for gogoc.conf Closes: #636556
  * README.Debian has references for gw6c changed to gogoc Closes: #653833
  * Optional feature to handle multiple interfaces Closes: 651251
  * Removing transistional package gw6c
  * Quote parameters in linux.sh Closes: #694973
  * Adjusted makefile to accept harden flags

 -- Craig Small <csmall@debian.org>  Mon, 30 Sep 2013 08:29:35 +1000

gogoc (1:1.2-4) unstable; urgency=low

  * Changed arch dependent iproute dependency to linux-any Closes: #634806
  * Update standards to 3.9.2 no changes
  * Update debhelper to compat version 8
  * Fixed copyright to DEP-5 format

 -- Craig Small <csmall@debian.org>  Wed, 27 Jul 2011 21:55:31 +1000

gogoc (1:1.2-3) unstable; urgency=low

  * Include stddef.h to fix gcc 4.6 compile problem Closes: #625067
  * Added -n for command line to get key Closes: #605969

 -- Craig Small <csmall@debian.org>  Tue, 03 May 2011 22:28:03 +1000

gogoc (1:1.2-2) unstable; urgency=low

  * gogoc becomes a daemon earlier Closes: #577618

 -- Craig Small <csmall@debian.org>  Sat, 24 Apr 2010 18:28:07 +1000

gogoc (1:1.2-1) unstable; urgency=low

  * iproute Dependency is excluded for freebsd
  * Added note for stopping check keyfile to README Closes: #564963
  * Added Alioth VCS lines
  * Name changed from gw6c to gogoc
  * Removed patches accepted by upstream

 -- Craig Small <csmall@debian.org>  Tue, 30 Mar 2010 21:39:06 +1100

gw6c (6.0.1dfsg.1-8) unstable; urgency=low

  * Removed a quote out of rules

 -- Craig Small <csmall@debian.org>  Mon, 28 Dec 2009 23:48:03 +1100

gw6c (6.0.1dfsg.1-7) unstable; urgency=low

  * Conditionally depend on iproute
  * Put correct template in for freebsd

 -- Craig Small <csmall@debian.org>  Mon, 28 Dec 2009 23:40:30 +1100

gw6c (6.0.1dfsg.1-6) unstable; urgency=low

  [ ???????? ???????????????? (Ahmed El-Mahmoudy) ]
  * debian/rules:
    + Simplify rules file.
    + Fix make invocation to properly generate gw6c.sample.conf
    + Install gw6c.sample.conf also in /etc/gw6c/gw6c.conf (LP: #438658)
  * debian/patches: remove old dpatch files.
  * debian/control:
    + Build-Depend on debhelper >= 7.0.50~ to support debhelper overrides.
    + Remove quilt from Build-Depends.
    + Added ${misc:Depends} to Depends.
  * debian/dirs: Remove dirs that will be created by dh_install anyways.

  [ Craig Small ]
  * Added a keyfile check bypass to init
  * Documented default file

 -- Craig Small <csmall@debian.org>  Fri, 11 Dec 2009 16:58:31 +1100

gw6c (6.0.1dfsg.1-5) unstable; urgency=low

  * Adjust README and init script to die if no server key or config file
  * Closes: #554911
  * Added Ubuntu patch LP:418176
  * Removed -c option and fixed default config file path in gw6c.8
  * clarified GPL version of debian files
  * Changed to quilt patching and source format

 -- Craig Small <csmall@debian.org>  Mon, 07 Dec 2009 21:42:35 +1100

gw6c (6.0.1dfsg.1-4) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net> ]
  * debian/patches/10_directories.dpatch: patched
    tspc-advanced/src/tsp/tsp_auth_passdss.c to set path for TSPC_DSA_KEYFILE to
    to /var/lib/gw6c.
  * debian/init.d: increase DIETIME to 5s.

  [ Craig Small ]
  * Adjusted init file to create radvd run dir, if needed
  * Added some more sanity checking in if-up and ppp scripts
  * Updated to standards version 3.8.3

 -- Craig Small <csmall@debian.org>  Sun, 06 Sep 2009 16:38:16 +1000

gw6c (6.0.1dfsg.1-3) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net> ]
  * Added if-up, ppp.ip-up and ppp.ip-down scripts.
  * debian/patches/10_directories.dpatch: patched
    ./tspc-advanced/conf/gw6c.conf.in to set default path for broker list and
    last server files to /var/lib/gw6c.
  * debian/dirs: added var/lib/gw6c

  [ Craig Small ]
  * Changed standards version to 3.8.2
  * Changes to make it build on kfreebsd

 -- Craig Small <csmall@debian.org>  Thu, 06 Aug 2009 21:34:02 +1000

gw6c (6.0.1dfsg.1-2) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net> ]
  * debian/control: added libssl-dev to Build-Depends.
  * debian/copyright: use © symbol instead of (C).
  * debian/init.d: Fix the logic operation in the line that insures existance 
    of /var/run/gw6c.
  * debian/patches/10_directories.dpatch: edited patch to set TspHomeDir to 
    /usr/share/gw6c.

 -- Craig Small <csmall@debian.org>  Mon, 15 Jun 2009 13:57:30 +1000

gw6c (6.0.1dfsg.1-1) unstable; urgency=low

  * New upstream release Closes: #497476
     License clarified and pdf files removed

 -- Craig Small <csmall@debian.org>  Sun, 14 Jun 2009 10:01:12 +0300

gw6c (5.1-1) unstable; urgency=low

  * Initial release Closes: #497476

 -- Craig Small <csmall@debian.org>  Sun, 20 Jul 2008 16:10:21 +1000
