=== debian/control ===
Source: gogoc
Section: net
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 9), libssl-dev
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/gw6c.git
Vcs-Git: git://git.debian.org/collab-maint/gw6c.git
Homepage: http://go6.net/4105/application.asp

Package: gogoc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, net-tools, iproute2 [linux-any]
Recommends: radvd
Suggests: sipcalc
Description: Client to connect to IPv6 tunnel brokers
 TSP is a control protocol used to establish and maintain static tunnels. 
 The Gateway6 client (gogoc) is used on the host computer to connect to a 
 tunnel broker using the TSP protocol and to get the information for its 
 tunnel. When it receives the information for the tunnel, the Gateway6 
 client creates the static tunnel on its operating system.
 .
 This package was previously called gw6c or tspc.
 .
 sipcalc is only required if you have multiple LAN interfaces you need 
 configuring
